summaryrefslogtreecommitdiff
path: root/qa/708
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/708
downloadpcp-debian.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/708')
-rwxr-xr-xqa/70826
1 files changed, 26 insertions, 0 deletions
diff --git a/qa/708 b/qa/708
new file mode 100755
index 0000000..d85c871
--- /dev/null
+++ b/qa/708
@@ -0,0 +1,26 @@
+#!/bin/sh
+# PCP QA Test No. 708
+# Exercise python PMI layer
+#
+# Copyright (c) 2012 Red Hat.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+status=1 # failure is the default!
+$sudo rm -f $tmp.* $seq.full
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+python $here/src/test_pmi.python $tmp.pcplog >$seq.full 2>&1
+grep OK $seq.full
+
+# success, all done
+status=$?
+exit